Public Class dSAPT_GradoBusinessObject
    Inherits BusinessObject(Of dSAPT_Grado)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New dSAPT_GradoDbHelper
    End Sub

    Public Sub New(ByVal entity As dSAPT_Grado)
        MyBase.New(entity)
        DbHelper = New dSAPT_GradoDbHelper
    End Sub

    Public Sub New(ByVal idGrado As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idGrado = idGrado
        Dim Entity_Aux As dSAPT_Grado = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As dSAPT_GradoBusinessObject
    Protected Shared Function GetDdHelperInstance() As dSAPT_GradoDbHelper
        If _Instance Is Nothing Then
            _Instance = New dSAPT_GradoBusinessObject
        End If
    Return CType(_Instance.DbHelper, dSAPT_GradoDbHelper)
    End Function

    Public Shared Function GetListdSAPT_Grado(Optional ByVal foreignLevel As Integer=0) As EntityList(Of dSAPT_Grado)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

#End Region
End Class
